package html;

import java.io.PrintWriter;
import java.util.Vector;
import html.*;

public class Container extends Component
{
  Vector components;
  PrintWriter context;

  // Class initialization code
  public Container(PrintWriter cnxt)
  {
    context = cnxt;
    components = new Vector(1, 1);
  }

  // This routine handles the painting
  public void paint(PrintWriter cnxt)
  {
    if (components != null) 
      for (int i = 0; i < components.size(); i++)
      {
        ((Component) components.elementAt(i)).paint(context);
      }
  }

  public void add( Component c)
  {
    components.addElement((Object) c);
  }

  public void add( Component c, int indx)
  {
    components.insertElementAt((Object) c, indx);
  }

  public void removeAll()
  {
    components.removeAllElements();
  }

  public void remove( Component c)
  {
    components.removeElement((Object) c);
  }
} // end class Container
