package html;

import java.io.*;
import java.util.Vector;
import html.*;

public class Page extends Container
{
  String title;
  PrintWriter context;

  // Class initialization code
  public Page(PrintWriter cnxt, String t)
  {
    super(cnxt);
    context = cnxt;
    title = t;
  }

  // This routine handles the painting
  public void paint(PrintWriter cnxt)
  {
    context.println("<HTML><HEAD><TITLE>");
    context.println(title);
    context.println("</TITLE></HEAD><BODY>");
    super.paint(context);
    context.println("</BODY></HTML>");
  }
} // end class Page
