package html;

import java.util.Vector;
import java.io.PrintWriter;
import html.*;

public class Selection extends Component
{
  String name;
  String options[];

  // Class initialization code
  public Selection(String sname, String soptions[])
  {
    name = sname;
    options = soptions;
  }

  public Selection(String sname, Vector soptions)
  {
    name = sname;
    options = new String[soptions.size()];
    for (int i = 0; i < soptions.size(); i++)
      options[i] = (String) soptions.elementAt(i);
  }

  // This routine handles the painting
  public void paint(PrintWriter context)
  {
    context.println("<SELECT NAME=\"" + name + "\">");
    if (options != null)
      for (int i = 0; i < options.length; i++)
      {
        context.println("<OPTION>" + options[i]);
      }
    context.println("</SELECT>");
  }
} // end class Selection
