package html;

import java.io.PrintWriter;
import java.util.Vector;
import java.lang.Integer;
import html.*;

public class Table extends Container
{
  int border;

  // Class initialization code
  public Table(PrintWriter cnxt)
  {
    super(cnxt);
    border = 0;
  }

  public Table(PrintWriter cnxt, int tborder)
  {
    super(cnxt);
    border = tborder;
  }

  // This routine handles the painting
  public void paint(PrintWriter cnxt)
  {
    context.println("<TABLE BORDER=" + Integer.toString(border) + ">");
    if (components != null) 
      for (int i = 0; i < components.size(); i++)
      {
        ((TableString) components.elementAt(i)).paint(context);
      }
    context.println("</TABLE>");
  }
} // end class Table
